%define name	resmgr
%define version	1.0
%define release	%mkrel 7

%define	major		1
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		System/Servers
Summary:	A program to allow arbitrary access to device files
Source:		ftp://ftp.lst.de/pub/people/okir/%{name}/%{name}-%{version}.tar.bz2
Source1:	resmgr.init
Source2:	resmgr.conf
Source3:	desktopdev
Patch0: 	resmgr-1.0-syslog.patch 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 		http://www.lst.de/~okir/resmgr/
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	pam-devel

%description
The resource manager is a framework to give user applications access
to certain device files. The resource manager daemon can be configured
to give certain users access to different resource classes.

It supports hotplugging devices (i.e. new devices can be added to
and removed from resource classes at run time), and it provides
transparent access to the raw SCSI device corresponding to
a CD writer or a scanner.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
The resource manager is a framework to give user applications access
to certain device files. The resource manager daemon can be configured
to give certain users access to different resource classes.

It supports hotplugging devices (i.e. new devices can be added to
and removed from resource classes at run time), and it provides
transparent access to the raw SCSI device corresponding to
a CD writer or a scanner.

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname resmgr 1 -d}

%description -n	%{develname}
The resource manager is a framework to give user applications access
to certain device files. The resource manager daemon can be configured
to give certain users access to different resource classes.

It supports hotplugging devices (i.e. new devices can be added to
and removed from resource classes at run time), and it provides
transparent access to the raw SCSI device corresponding to
a CD writer or a scanner.

%prep
%setup -q
%patch0 -p1 -b .syslog

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std LIBDIR=$RPM_BUILD_ROOT/%{_lib} PAMDIR=$RPM_BUILD_ROOT/%{_lib}/security

ln -sf libresmgr.so.* $RPM_BUILD_ROOT/%{_lib}/libresmgr.so
install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_initrddir}/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
ln -s ../..%{_initrddir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/rc%{name}
# install config file
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -c -m755 %{SOURCE3} -D $RPM_BUILD_ROOT%{_sysconfdir}/udev/agents.d/usb/desktopdev

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO ANNOUNCE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_initrddir}/%{name}
%{_sysconfdir}/udev/agents.d/usb/desktopdev
%{_sbindir}/rc%{name}
/sbin/%{name}
/sbin/%{name}d
%{_mandir}/man*/*

%files -n %{libname}
%defattr(-,root,root)
/%{_lib}/*.so.*
/%{_lib}/security/*

%files -n %{develname}
%defattr(-,root,root)
/%{_lib}/*.so
%{_includedir}/%{name}.h



%changelog
* Wed Aug 01 2007 Adam Williamson <awilliamson@mandriva.com> 1.0-7mdv2008.0
+ Revision: 57363
- rebuild for 2008
- new devel policy
- spec clean


* Mon Jul 31 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-31 20:51:47 (42877)
- Increase release number

* Mon Jul 31 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-31 20:50:48 (42876)
- Fix for http://qa.mandriva.com/show_bug.cgi?id=23968 ( wrong init services )

* Wed Jul 26 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-26 03:39:04 (42167)
- Moved to subversion
- Added patch from Jan Ciger to fix syslog defines

* Wed Jul 26 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-26 03:11:36 (42165)
- import resmgr-1.0-4mdk

* Wed Jan 18 2006 Olivier Blin <oblin@mandriva.com> 1.0-4mdk
- fix pam files installation on x86_64
- buildrequire pam-devel
- drop hotplug requirement

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 1.0-3mdk
- move hotplug script to in udev agents.d directory
- update Source4 to explain how it should be handled with udev

* Sun Jun 12 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdk
- rebuild
- fix requires
- do not mark init file as config file
- %%{1}mdv2007.0

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-1mdk
- initial mdk release (based on suse package)

